Subject: Re: [Roll] aodv-rpl review

From: Charlie Perkins <[email-masked]>
Date: Thu, 7 Mar 2019 17:00:18 -0800

Hello Peter,

I think our new revision will resolve most or all of your comments.  We 
have greatly expanded the Security Considerations, and added 
clarifications about the relationship with RFC 6997.  I also added some 
explanation about the difference between "application-specific" versus 
P2P routing.  They are pretty much different and I hope that comes 
through better.

Thanks for all of the suggestions!

Regards,
Charlie P.

On 11/28/2018 1:06 AM, Peter van der Stok wrote:
> Hi aodv-rpl co-authors,
>
> I promised to do a quick review of the document before passing it to 
> the shepherd.
>
> The document reads rather smoothly, and seems to be complete.
> Question: are there any implementations, and has there been an 
> interop? I vaguely remember the subject being mentioned, but do not 
> remember the answer.
>
> I like the appendix A, it helps enormously to understand the 
> bidirectional asymmetric link concept.
>
> Major question: what is the relation with 6997 P2P-RPL.
> Does this document replace RFC 6997. To me it seems that in the case 
> of symmetric links only, AODV-RPL degrades to P2P-RPL. Probably not in 
> an interoperable way given the different MOP etc.
> May be you can explain your ideas in this respect.
> RFC 6997 is "experimental" to go to STD when more experience was gained.
> Does that also apply to this document, or is there an operational 
> direct need identified.
>
> Should 5548, 5673, 5826, 5867 not go to informational; you don't need 
> them to implement the spec.
>
> Last but not least: section 10 security Considerations is more than 
> terse; I am afraid that the security review will judge this 
> inadequate. You can look what has been done in the npdao draft; but I 
> cannot guarantee that this is sufficient.
> The MANET WG has been active in describing threats in RFC 7985; may be 
> you can find inspiration there to categorize the problems and identify 
> the ones applying to AODV-RPL.
>
> Some minor syntactical things that hit my eye.
>
> You never write out RPL, although the other acronyms have been honored 
> as such.
> In section 1 the term TargNode appears all of the sudden; suggest to 
> use Target Node in section 1.
> You use application-specific routing and P2P routing; what is the 
> difference?
> section 3: s/established are/are established/
> section 6.1: s/increse/increase/
> s/previous/previously/
> s/increased number/sequence number/
>
> Greetings,
> and thanks for the work,
>
> Peter
> -- 
> Peter van der Stok
> vanderstok consultancy
> mailto: [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>
> www: www.vanderstok.org <http://www.vanderstok.org>
> tel NL: +31(0)492474673     F: +33(0)966015248